Name:           rpmdepsize
Version:        1.0
Release:        17%{?dist}
Summary:        A tool for visualizing RPM dependencies

Group:          Development/Libraries
License:        GPLv2+
URL:            http://et.redhat.com/~rjones/rpmdepsize/
Source0:        http://et.redhat.com/~rjones/rpmdepsize/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         0001-Some-fixes-for-latest-upstream-sexplib.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-sexplib-devel >= 4.2.10-2
BuildRequires:  ocaml-lablgtk-devel >= 2.10.1
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  yum >= 3.2.21

ExcludeArch: sparc64 s390 s390x

# To remove executable stack
# https://bugzilla.redhat.com/show_bug.cgi?id=450551
%if 0%{?fedora} < 11
BuildRequires:  prelink
%endif

# The program embeds a python script, which has these requirements:
Requires:       python
Requires:       yum >= 3.2.21


%description
rpmdepsize is an interactive graphical tool for visualizing the size
of RPM dependencies.

It is useful for shaming RPMs that have too many dependencies or pull
in large amounts of data because of indirect dependencies.


%prep
%setup -q

%patch0 -p1

# Generate Desktop file
cat > %{name}.desktop << EOT
[Desktop Entry]
Name=RPM dependency visualizer
Comment=Visualize the size of the dependencies an RPM pulls in
Exec=rpmdepsize
Terminal=false
Type=Application
Categories=System;
EOT

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove executable stack
%if 0%{?fedora} < 11
execstack -c %{buildroot}%{_bindir}/rpmdepsize
%endif

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Richard W.M. Jones <rjones@redhat.com> - 1.0-14
- Include upstream patch which has build fixes.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 05 2013 Richard W.M. Jones <rjones@redhat.com> - 1.0-12
- Bump and rebuild for newest OCaml.

* Thu Jul 26 2012 Richard W.M. Jones <rjones@redhat.com> - 1.0-11
- Include patch with fixes against latest ocaml-sexplib.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0-8
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 22 2009 Dennis Gilmore <dennis@ausil.us> - 1.0-6
- ExcludeArch s390 s390x sparc64 no ocaml 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0-4
- Rebuild against newest ocaml-sexplib.

* Sun May 10 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.0-3
- Add desktop file.

* Sat May 02 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.0-2
- Add missing BRs and remove executable stack.

* Fri Mar 27 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0-1
- Initial RPM release.
